Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.image
Class MapBeanPrinter

    java.lang.Object
      com.bbn.openmap.image.MapBeanPrinter

All Implemented Interfaces:
  java.awt.print.Printable

public class MapBeanPrinter
extends java.lang.Object
implements java.awt.print.Printable

A simple utility class to print a MapBean and rescale it to fit the printed page.

Field Summary

Fields inherited from interface java.awt.print.Printable
`NO_SUCH_PAGE, PAGE_EXISTS`

Constructor Summary
`MapBeanPrinter(MapBean mapBean)`

Method Summary
`static void` | `disableDoubleBuffering(java.awt.Component c)` The speed and quality of printing suffers dramatically if any of the containers have double buffering turned on.
`static void` | `enableDoubleBuffering(java.awt.Component c)` Re-enables double buffering globally.
`void` | `print()`
`int` | `print(java.awt.Graphics g, java.awt.print.PageFormat pageFormat, int pageIndex)`
`static void` | `printMap(MapBean mapBean)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapBeanPrinter

    public MapBeanPrinter(MapBean mapBean)

Method Detail

### printMap

    public static void printMap(MapBean mapBean)

### print

    public void print()

### print

    public int print(java.awt.Graphics g,
                     java.awt.print.PageFormat pageFormat,
                     int pageIndex)

  Specified by:
    `print` in interface `java.awt.print.Printable`

### disableDoubleBuffering

    public static void disableDoubleBuffering(java.awt.Component c)

  The speed and quality of printing suffers dramatically if any of the containers have double buffering turned on. So this turns if off globally.

### enableDoubleBuffering

    public static void enableDoubleBuffering(java.awt.Component c)

  Re-enables double buffering globally.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details